1. Приветствуем Вас на неофициальном форуме технической поддержки XenForo на русском языке. XenForo - новый и перспективный форумный движок от бывших создателей vBulletin.

1.5.3 XenForo 1.5.3

Тема в разделе "Новости XenForo", создана пользователем Romchik®, 1 дек 2015.

Загрузка
Метки:
Статус темы:
Закрыта.
  1. Romchik®

    Romchik® The Power of Dreams Команда форума

    Регистрация:
    26.09.10
    Сообщения:
    5.740
    Симпатии:
    5.279
    Версия XF:
    1.5.11
    Сегодня XenForo обновился до версии 1.5.3. Версия минорная, а значит фокус как всегда на исправлении ошибок и улучшении стабильности.

    Разработчикам плагинов: обратите внимание, что в версии 1.5.3 появились изменения, связанные с совместимостью сериализации. Почитатйте эту тему для более подробной информации.

    Список некоторых изменений в XenForo 1.5.3:
    • Добавлена возможность (пока как бета-версия) импорта данных для IPB 4.0/4.1 и phpBB 3.1.
    • Предотвращение фатальной ошибки, если импорт был незавершен, а импортер был удален.
    • Исправлена ошибка в журнале изменений пользователя, когда пользователь изменил значение дополнительного поля, которое больше не существует.
    • Исправлено преобразования ссылки у названий страниц, когда тег заголовка занимает более 20 КБ на страницу (например, на страницах Amazon).
    • Аватары не применяются автоматически, если у пользователя нет на это прав.
    И еще немного на английском:
    • When using the mail queue and bulk email systems, if an error is received emailing a user, attempt to establish a new transport connection and resend the email. This should help resolve issues where SMTP connections are closed unexpectedly.
    • Added sanity checks to ensure that serialized data is an array (containing only simple data within) in numerous places. (This may cause an error with add-ons that have incorrectly specified option definitions.)
    • When associating an external account with an existing account, you must already be logged into the target account to ensure two-step verification is respected.
    • Add dir="auto" to the sidebar online users list to ensure mixed LTR and RTL usernames do not interact.
    • Improve results when pasting into the RTE from certain programs (such as PHPStorm).
    • Do not display the RTE to Firefox mobile due to cursor issues.

    Пожалуйста, обратите внимание, что разработчики уже давно рекомендуют обновить всем PHP до версии 5.4 или новее. В XenForo 2.0 будет требоваться как минимум PHP 5.4. Если вы работаете с PHP 5.3 или ниже, то при установке или обновлении XenForo вы получите предупреждение об устаревающей версии PHP.
     
    Pavel, SAS1024, Alex777 и 4 другим нравится это.
  2. Oleg-2012

    Oleg-2012 Местный

    Регистрация:
    21.04.12
    Сообщения:
    679
    Симпатии:
    276
    Многие старые плагины не будут устанавливаться на 1.5.3, хотя после обновления большинство работать будут...

    А всё из-за этого непонятного нововведения:

    Array-type options: value and default values must be arrays

    While this was always the intention, this is now checked explicitly. You should double check that your add-on installs cleanly as if you made a mistake in the definition of an option, installation will be blocked. To fix this, you'll need to ensure that the default value is correctly defined. (This should not affect the vast majority of add-ons, but it's important to check.)

    Не ну понятно что код должен-быть качественным и дефолтное значение должно-быть таким-же как и массив опции, НО мало кто это отслеживал, вот даже старая галерея до 1.1.2 это не учитывали и как следствие старые плагины установить будет нельзя... :(

    А учитывая что многие плагины в XF забросили, это печалька вообще для новых проектов, или кто хочет например старую версию плагина поставить ! :(

    На сколько это было вообще целесообразно вводить именно в ветке 1.5 ? :(
     
  3. infis

    infis Местный Команда форума

    Регистрация:
    27.06.11
    Сообщения:
    5.694
    Симпатии:
    3.405
    Версия XF:
    1.5.9
    Да без разницы, когда это надо было вводить. В принципе более строгая проверка параметров - это благо.
     
  4. Oleg-2012

    Oleg-2012 Местный

    Регистрация:
    21.04.12
    Сообщения:
    679
    Симпатии:
    276
    Ну не знаю лично мне это нововведение неочень понравилось, ибо сейчас что-бы что-то поставить приходится править установщик плагинов, а кто в этом не шарит, так вообще неустановят ничего... :(

    С точки зрения качества плагина, спора нет всё правильно, НО даже если и будут типы отличатся и что с того ? В коде часто используют неявное приведение, какие-то там ошибки могут-быть в крайне редких случаях ! ИМХО !

    С точки зрения безопасности, тоже даже теоритически не могу придумат, через что там влесть, не ну если плагин на столько кривой, что из-за этого может возникнуть уязвимость, то мне кажется и это непоможет, залезут через что-то другое... :(
     
    Breming нравится это.
  5. infis

    infis Местный Команда форума

    Регистрация:
    27.06.11
    Сообщения:
    5.694
    Симпатии:
    3.405
    Версия XF:
    1.5.9
    Неявное приведение типов - это, прежде всего, баги, а не безопасность. То есть трудно обнаружить ошибку программирования, которая на продакшине может привести к прекращению обработки в лучшем случае, а в худшем - к записи трудноуловимых некорректных данных. Сам по себе PHP в этом ущербен. Поэтому в 7-й версии, например, появилась возможность контролировать типы парметров и возвращаемых значений из фукций.
    В данном случае разработчики тоже по какой-то причине решили, что остро необходима проверка типа. С чем конкретно это связано, я не знаю. Пусть будет. Все равно, видимо, этого нельзя было избежать.
     
  6. 1981

    1981 Местный

    Регистрация:
    15.10.11
    Сообщения:
    273
    Симпатии:
    19
    Версия XF:
    1.1.4
    С PHP 7.0 работает без проблем
     
Статус темы:
Закрыта.

Поделиться этой страницей